<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of sisotool module
 * Copyright (C) 2016 - INRIA - Serge Steer
 *
 * This file is hereby licensed under the terms of the GNU GPL v2.0,
 * pursuant to article 5.3.4 of the CeCILL v.2.1.
 * For more information, see the COPYING file which you should have received
 * along with this program.
-->
<refentry xml:id="sisotoolOptimGui" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:scilab="http://www.scilab.org"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <refnamediv>
    <refname>sisotoolOptimGui</refname>

    <refpurpose>creates or updates the GUI used to specify the Optimization
    tool settings.</refpurpose>
  </refnamediv>

  <refsection>
    <title>Synopsis</title>

    <synopsis>sisotoolOptimGui(mainWin [,update]) 
sisotoolOptimGui(mainH [,update]) </synopsis>
  </refsection>

  <refsection>
    <title>Arguments</title>

    <variablelist>
      <varlistentry>
        <term>mainWin</term>

        <listitem>
          <para>The figure id of the Editors window.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>mainH</term>

        <listitem>
          <para>The handle of the Editors window.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>update</term>

        <listitem>
          <para>Optional boolean, if true the Gui is updated else it is
          (re)created. The default value is %f.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para>Creates or updates the GUI used to specify the Optimization tool
    settings.</para>
  </refsection>
 <refsection>
   <title>callbacks</title>
   <variablelist>
    <varlistentry>
      <term>sisotoolOptimizedTuning</term>
      <listitem>
        <para>Launches the optimization process and updates compensator if optimization succeeds.</para>
      </listitem>
    </varlistentry>
    <varlistentry>
      <term>sisotoolOptimOptsGui</term>
      <listitem>
        <para>Creates the GUI for optimizer options setting.</para>
      </listitem>
    </varlistentry>
    <varlistentry>
      <term>sisotoolOptimGuiEltRow</term>
      <listitem>
        <para>Creates a GUI's row of the frame associated with a
    compensator element parameters.</para>
      </listitem>
    </varlistentry>
  </variablelist>

  </refsection>
</refentry>
